package cn.com.qmth.stmms.ms.commons.web;

/**
 * Created by zhengmin on 2017/2/24.
 */
public class PageableDTO {

    private Object data;
    private Long totalCount;
    private Integer pageCount;
    private Integer page;

    public PageableDTO(Object data, Long totalCount, Integer pageCount, Integer page) {
        this.data = data;
        this.totalCount = totalCount;
        this.pageCount = pageCount;
        this.page = page;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public Long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Long totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getPageCount() {
        return pageCount;
    }

    public void setPageCount(Integer pageCount) {
        this.pageCount = pageCount;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }
}
